package dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import model.Product;

@Getter
@AllArgsConstructor
public class ProductDto {
    private String sku;
    private String upc;
    private String prodName;
    private String prodDesc;
    private float price;
    private String prodImgUrl;
    private String brand;
    private String category;
    private int stock;
    private PromotionDto promotion;


    public static ProductDto generateDtoFromProduct(Product product) {
        // TODO: Fetch the product's promotion from the Promotions service
        PromotionDto promotion = new PromotionDto();

        return new ProductDto(product.getSku(), product.getUpc(), product.getProdName(), product.getProdDesc(), product.getPrice(), product.getProdImgUrl(), product.getBrand(), product.getCategory(), product.getAvailableStock(), promotion);

    }
}
