package service;

import dto.ProductDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Flux;
import repository.ProductRepository;

@Service
public class ProductService {
    @Autowired
    ProductRepository productRepository;

    public Flux<ProductDto> testDto() {
        return productRepository.findAll()
                .map(ProductDto::generateDtoFromProduct)
                .flatMap(Flux::just);
    }
}
